RewritePatternRule (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.rewrite.handler

## Class RewritePatternRule

- java.lang.Object
- - org.eclipse.jetty.rewrite.handler.Rule
  - - org.eclipse.jetty.rewrite.handler.PatternRule
    - - org.eclipse.jetty.rewrite.handler.RewritePatternRule

- All Implemented Interfaces:
    Rule.ApplyURI

      public class RewritePatternRule
      extends PatternRule
      implements Rule.ApplyURI

  Rewrite the URI by replacing the matched `PathMap` path with a fixed string.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `Rule.ApplyURI`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

      `_pattern`

    - ### Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `_handling, _terminating`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RewritePatternRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `apply(String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
    `void` | `applyURI(Request request, String oldTarget, String newTarget)`
    `void` | `setReplacement(String value)` Whenever a match is found, it replaces with this value.
    `String` | `toString()` Returns the replacement string.

    - ### Methods inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

      `getPattern, matchAndApply, setPattern`

    - ### Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `isHandling, isTerminating, setHandling, setTerminating`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RewritePatternRule

          public RewritePatternRule()

  - ### Method Detail

    - #### setReplacement

          public void setReplacement(String value)

      Whenever a match is found, it replaces with this value.
      Parameters:
        `value` - the replacement string.

    - #### apply

          public String apply(String target,
                     javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws IOException

      Description copied from class: `PatternRule`
      Apply the rule to the request
      Specified by:
        `apply` in class `PatternRule`
      Parameters:
        `target` - field to attempt match
        `request` - request object
        `response` - response object
      Returns:
        The target (possible updated)
      Throws:
        `IOException` - exceptions dealing with operating on request or response objects

    - #### applyURI

          public void applyURI(Request request,
                      String oldTarget,
                      String newTarget)
                        throws IOException

      Specified by:
        `applyURI` in interface `Rule.ApplyURI`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Returns the replacement string.
      Overrides:
        `toString` in class `PatternRule`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.